<?php

namespace Entity;

use Doctrine\Common\Collections\ArrayCollection;

/**
 * @Entity
 * @Table(name="user")
 */
class User
{
    /**
     * @var     int
     * @Id
     * @Column(type="integer")
     * @GeneratedValue
     */
    protected $id = null;

    /**
     * @var     string
     * @Column(type="string")
     */
    protected $username = null;

    /**
     * @var     string
     * @Column(type="string")
     */
    protected $email = null;

    /**
     * @var     Doctrine\Common\Collections\ArrayCollection
     * @ManyToMany(targetEntity="Entity\Group", mappedBy="members")
     */
    protected $groups = null;

    public function __construct()
    {
        $this->setGroups(new ArrayCollection());
    }

    /**
     * @return  int
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param   int     $id
     * @return  void
     */
    public function setId($id)
    {
        $this->id = $id;
    }

    /**
     * @return  string
     */
    public function getUsername()
    {
        return $this->username;
    }

    /**
     * @param   string  $username
     * @return  void
     */
    public function setUsername($username)
    {
        $this->username = $username;
    }

    /**
     * @return  string
     */
    public function getEmail()
    {
        return $this->email;
    }

    /**
     * @param   string  $email
     * @return  void
     */
    public function setEmail($email)
    {
        $this->email = $email;
    }

    /**
     * @return  Doctrine\Common\Collections\ArrayCollection
     */
    public function getGroups()
    {
        return $this->groups;
    }

    /**
     * @param   \Doctrine\Common\Collections\ArrayCollection    $groups
     * @return  void
     */
    public function setGroups(ArrayCollection $groups)
    {
        $this->groups = $groups;
    }

    /**
     * @param   Group   $group
     * @return  void
     */
    public function addToGroup(Group $group)
    {
        $this->groups->add($group);
    }

    /**
     * @param   Group   $group
     * @return  void
     */
    public function removeFromGroup(Group $group)
    {
        $this->groups->removeElement($group);
    }
}
